# Class Point

java.lang.Object
gov.sandia.gnem.slbmjni.Point

public class Point extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `u`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Point(double lat, double lon, boolean inDegrees)`
  Point constructor
  `Point(GridProfile profile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static double`
  `dot(double[] v0, double[] v1)`
  `boolean`
  `equals(Object other)`
  `static double[]`
  `getVector(double lat, double lon)`
  Convert geographic lat, lon into a geocentric unit vector.
  `static void`
  `getVector(double lat, double lon, double[] vector)`
  Convert geographic lat, lon into a geocentric unit vector.
  `int`
  `hashCode()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### u

    public double[] u

- ## Constructor Details

  - ### Point

    public Point(double lat, double lon, boolean inDegrees)
    Point constructor
    Parameters:
      `lat` - in degrees or radians
      `lon` - in degrees or radians
      `inDegrees` - if true, then lat,lon are assumed to be in degrees otherwise radians

  - ### Point

    public Point(GridProfile profile)

- ## Method Details

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### dot

    public static double dot(double[] v0, double[] v1)

  - ### getVector

    public static double[] getVector(double lat, double lon)
    Convert geographic lat, lon into a geocentric unit vector. The x-component points toward lat,lon = 0, 0. The y-component points toward lat,lon = 0, PI/2. The z-component points toward north pole.
    Parameters:
      `lat` - geographic latitude in radians.
      `lon` - longitude in radians.
    Returns:
      3 component unit vector.

  - ### getVector

    public static void getVector(double lat, double lon, double[] vector)
    Convert geographic lat, lon into a geocentric unit vector. The x-component points toward lat,lon = 0, 0. The y-component points toward lat,lon = 0, PI/2 The z-component points toward north pole.
    Parameters:
      `lat` - geographic latitude in radians.
      `lon` - longitude in radians.
      `vector` - 3 component unit vector.